:root {
    --grey: #293333;
    --green: #1d5355;
    --sand: #dfc892;
    --gold: #c6ad74;
    --gold-mid: #b8a671;
    --gold-grad: #a69c6e;
    --white: #f7f6f4;
    --dot-size: 13px;
    --top-pattern: 20px;
    --bs-body-font-family: 'Mulish';
    --icon-size: 40px;
    --icon-font-size: 30px;
    --products: 1;
    --categories: 1;
}

@media (min-width: 576px) {
    :root {
        --icon-size: 60px;
        --icon-font-size: 40px;
        --products: 2;
    }
}

@media (min-width: 768px) {
    :root {
    }
}

@media (min-width: 992px) {
    :root {
        --bs-body-font-size: 12pt;
        --bs-body-line-height: 1.8;
        --products: 3;
        --categories: 3;
    }
}

@media (min-width: 1200px) {
    :root {
        --products: 4;
    }
}

@media (min-width: 1400px) {
    :root {
    }
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-ExtraLightItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 200;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-ExtraLight.ttf') format('truetype');
    font-style: normal;
    font-weight: 200;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-LightItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 300;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-Light.ttf') format('truetype');
    font-style: normal;
    font-weight: 300;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-Italic.ttf') format('truetype');
    font-style: italic;
    font-weight: 400;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: 400;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-MediumItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 500;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-Medium.ttf') format('truetype');
    font-style: normal;
    font-weight: 500;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-SemiBoldItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 600;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-SemiBold.ttf') format('truetype');
    font-style: normal;
    font-weight: 600;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-BoldItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 700;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-Bold.ttf') format('truetype');
    font-style: normal;
    font-weight: 700;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-ExtraBoldItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 800;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-ExtraBold.ttf') format('truetype');
    font-style: normal;
    font-weight: 800;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-BlackItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 900;
}

@font-face {
    font-family: 'Mulish';
    src: url('../fonts/Mulish-Black.ttf') format('truetype');
    font-style: normal;
    font-weight: 900;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-Italic.ttf') format('truetype');
    font-style: italic;
    font-weight: 400;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-Regular.ttf') format('truetype');
    font-style: normal;
    font-weight: 400;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-MediumItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 500;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-Medium.ttf') format('truetype');
    font-style: normal;
    font-weight: 500;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-SemiBoldItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 600;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-SemiBold.ttf') format('truetype');
    font-style: normal;
    font-weight: 600;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-BoldItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 700;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-Bold.ttf') format('truetype');
    font-style: normal;
    font-weight: 700;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-ExtraBoldItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 800;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-ExtraBold.ttf') format('truetype');
    font-style: normal;
    font-weight: 800;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-BlackItalic.ttf') format('truetype');
    font-style: italic;
    font-weight: 900;
}

@font-face {
    font-family: 'PlayfairDisplay';
    src: url('../fonts/PlayfairDisplay-Black.ttf') format('truetype');
    font-style: normal;
    font-weight: 900;
}

.btn {
    text-transform: uppercase;
    letter-spacing: 1px;
    --bs-btn-font-size: 12pt;
    --bs-btn-border-radius: 20px;
    --bs-btn-font-weight: 700;
    --bs-btn-font-family: 'PlayfairDisplay';
}

.btn-group .btn {
    --bs-btn-border-radius: 0.375rem
}

.home .btn::after,
.contact-form .btn::after,
.product .btn::after {
    font: var(--fa-font-solid);
    content: "\f054";
    margin-left: 10px;
}

.btn-group .btn::after {
    display: none;
}

.btn-primary {
    --bs-btn-color: var(--grey);
    --bs-btn-bg: var(--gold);
    --bs-btn-border-color: var(--gold);
    --bs-btn-hover-color: var(--grey);
    --bs-btn-hover-bg: var(--sand);
    --bs-btn-hover-border-color: var(--sand);
    --bs-btn-active-color: var(--grey);
    --bs-btn-active-bg: var(--sand);
    --bs-btn-active-border-color: var(--sand);
}

.icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--gold);
    color: var(--grey);
    width: var(--icon-size);
    height: var(--icon-size);
    border-radius: 50%;
}

.icon:hover {
    background-color: var(--sand);
    color: var(--grey);
}

.icon i {
    font-size: var(--icon-font-size);
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
    font-family: 'PlayfairDisplay';
}

h1:first-child, h2:first-child, h3:first-child, h4:first-child, h5:first-child, h6:first-child, .h1:first-child, .h2:first-child, .h3:first-child, .h4:first-child, .h5:first-child, .h6:first-child {
    margin-top: 0;
}

h1:last-child, h2:last-child, h3:last-child, h4:last-child, h5:last-child, h6:last-child, .h1:last-child, .h2:last-child, .h3:last-child, .h4:last-child, .h5:last-child, .h6:last-child,
p:last-child,
ul:last-child,
ol:last-child {
    margin-bottom: 0;
}

.module-title {
    font-weight: 700;
}

@media (min-width: 992px) {
    .module-title {
        font-size: 20pt;
    }
}

a {
    text-decoration: none;
    color: var(--gold);
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out;
}

a:hover, a:focus {
    color: var(--sand);
}

.fields-container {
    list-style-type: none;
    padding-left: 0;
}

.page-header {
    margin-bottom: 3rem;
    padding-bottom: 3rem;
    text-align: center;
    --underline-color: var(--gold);
}

.page-header,
.module-title.underline {
    position: relative;
}

.page-header::before,
.module-title.underline::before {
    position: absolute;
    content: '';
    width: 100px;
    height: 1px;
    background-color: var(--underline-color);
    bottom: 0;
    left: 50%;
    transform: translate(-50%, -50%);
}

.page-header::after,
.module-title.underline::after {
    position: absolute;
    content: '';
    width: var(--dot-size);
    height: var(--dot-size);
    bottom: calc(1px - var(--dot-size));
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    border: 1px solid var(--underline-color);
    background-color: var(--dot-bg);
    outline: 5px solid var(--dot-bg);
}


/****************************************************************
** Header **
****************************************************************/

.t3-top {
    background-color: var(--grey);
}

.t3-top a,
.t3-top span {
    color: var(--sand);
    font-size: 10pt;
    font-weight: 600;
}

.t3-top .fa-solid {
    color: var(--sand);
    font-size: 16pt;
    margin-right: 10px;
}

.t3-header {
    background-color: var(--green);
    border-bottom: 8px solid var(--gold);
}


/****************************************************************
** Footer **
****************************************************************/

.home .t3-sl:last-child,
.t3-mainbody {
    padding-bottom: calc(var(--spotlight-pad) + var(--top-pattern));
}

.t3-footer,
.t3-footer::before,
.t3-footer::after,
.t3-footer .t3-footnav::before {
    background-color: var(--grey);
}

.t3-footer {
    color: var(--white);
    position: relative;
}

.t3-footer .module-title {
    color: var(--gold);
}

.t3-footer a {
    color: var(--white);
}

.t3-footer a:hover, .t3-footer a:focus {
    color: var(--sand);
}

.t3-footer::before,
.t3-footer::after {
    position: absolute;
    content: '';
    top: calc(0px - var(--top-pattern));
    height: var(--top-pattern);
    width: 50%;
}

.t3-footer .t3-footnav {
    padding-top: calc(var(--footer-pad) - var(--top-pattern));
}

.t3-footer .t3-footnav::before {
    position: absolute;
    content: '';
    width: var(--dot-size);
    height: var(--dot-size);
    border-radius: 50%;
    top: calc(-2 * var(--dot-size));
    left: 50%;
    transform: translate(-50%, -50%);
}

.t3-footer .mod-menu {
    flex-direction: column;
}

.t3-footer .t3-copyright {
    background-color: var(--green);
    color: var(--white);
    padding: var(--footer-pad) 0;
    margin-bottom: 0;
}

.t3-footer .icon {
    background-color: var(--white);
    color: var(--grey);
}

.t3-footer .icon:hover {
    background-color: var(--sand);
    color: var(--grey);
}


/****************************************************************
** Menu **
****************************************************************/

.navbar-nav {
    gap: 1rem;
    align-items: center;
}

.nav-link {
    --bs-nav-link-font-size: 10pt;
    --bs-nav-link-font-weight: 600;
    --bs-nav-link-color: var(--white);
    --bs-nav-link-hover-color: var(--sand);
}

.nav-link.btn {
    padding: var(--bs-btn-padding-y) var(--bs-btn-padding-x);
    color: var(--bs-btn-color);
    background-color: var(--bs-btn-bg);
}

.nav-link.btn:hover {
    color: var(--bs-btn-hover-color);
    background-color: var(--bs-btn-hover-bg);
}


/****************************************************************
** Home **
****************************************************************/

.bottom-dot {
    position: relative;
    padding-bottom: calc(var(--spotlight-pad) + var(--top-pattern));
}

.bottom-dot::after {
    position: absolute;
    content: '';
    width: var(--dot-size);
    height: var(--dot-size);
    border-radius: 50%;
    bottom: var(--dot-size);
    left: 50%;
    transform: translate(-50%, -50%);
}

.bottom-dot + .t3-sl {
    position: relative;
    padding-top: calc(var(--spotlight-pad) - var(--top-pattern));
}

.bottom-dot + .t3-sl::before,
.bottom-dot + .t3-sl::after {
    position: absolute;
    content: '';
    top: calc(0px - var(--top-pattern));
    height: var(--top-pattern);
    width: 50%;
}

.bottom-dot + .t3-sl::before,
.t3-footer::before {
    left: 0;
    border-radius: 0 var(--top-pattern) 0 0;
}

.bottom-dot + .t3-sl::after,
.t3-footer::after {
    right: 0;
    border-radius: var(--top-pattern) 0 0 0;
}

.t3-sl-1 {
    background-size: cover;
    background-repeat: no-repeat;
}

.t3-sl-1::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(to right, var(--white) 0%, var(--white) 33%, transparent 66%, transparent 100%);
  z-index: 1; 
}

.t3-sl-1::after,
.t3-sl-1 + .t3-sl::before,
.t3-sl-1 + .t3-sl::after {
  z-index: 1; 
}

.t3-sl-1::after,
.t3-sl-2,
.t3-sl-2::before,
.t3-sl-2::after {
    background-color: var(--gold);
}

.t3-sl-2 {
    --underline-color: var(--grey);
    --dot-bg: var(--gold);
}

.t3-sl-2 .btn-primary {
    --bs-btn-bg: var(--white);
    --bs-btn-border-color: var(--white);
}

.t3-sl-3 {
    background-color: var(--white);
    --underline-color: var(--gold);
    border-bottom: 8px solid var(--gold);
}

.t3-sl-4 {
    --dot-bg: var(--white);
    padding: 0;
}

.t3-sl-4::after,
.t3-sl-5,
.t3-sl-5::before,
.t3-sl-5::after {
    background-color: var(--green);
}

.t3-sl-5 {
    color: var(--white);
    border-bottom: 8px solid var(--gold);
    --underline-color: var(--sand);
    --dot-bg: var(--green);
}

.t3-sl-5 {
    background-repeat: no-repeat;
    background-position: right 100px center;
}

.t3-sl-5 .module-title {
    color: var(--sand);
}

.t3-sl-6 {
    background-color: var(--white);
}

.t3-sl-7 {
    background-color: var(--white);
    --underline-color: var(--gold);
    --dot-bg: var(--white);
}

.t3-sl-7::after {
    background-color: var(--gold-mid);
}

.t3-sl-8 {
    background-image: linear-gradient(to right, var(--gold), var(--gold-grad));
}

.t3-sl-8::before {
    background-image: linear-gradient(to right, var(--gold), var(--gold-mid));
}

.t3-sl-8::after {
    background-image: linear-gradient(to right, var(--gold-mid), var(--gold-grad));
}

.block {
    max-width: 600px;
    margin: 0 auto;
}

.moduletable.welcome {
    max-width: 546px;
    position: relative;
    z-index: 2;
}

.moduletable.welcome h1.module-title {
    color: var(--gold);
}

.moduletable.services .item-image img {
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    max-width: 250px;
}

.moduletable.services .mod-articles-title {
    color: var(--gold);
}

.moduletable.saloon img {
    border-radius: 0 30px 0 30px;
}

.moduletable.intro {
    display: flex;
    align-items: center;
}

.moduletable.intro h4 {
    color: var(--white);
    margin: 2rem 0;
}

@media (min-width: 992px) {
    .moduletable.intro h2 {
        font-size: 50pt;
    }
}

.moduletable.intro .item-image {
    width: 50%;
    flex-shrink: 0;
    margin-bottom: 0;
}

.moduletable.intro img {
    border-radius: 0 50px 0 50px;
}

.moduletable.featured .owl-carousel .owl-stage {
    display: flex;
}

.moduletable.featured-categories .categories {
    display: grid;
    grid-template-columns: repeat(var(--categories), 1fr);
}

.moduletable.featured-categories .category {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    padding: 25rem 6rem 6rem;
    position: relative;
    z-index: 0;
}

.moduletable.featured-categories .category::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, var(--white) 0%, var(--white) 33%, transparent 66%, transparent 100%);
    z-index: 1;
}

.moduletable.featured-categories .category > * {
    z-index: 1;
}

.moduletable.featured-categories .category .category-icon img {
    width: 90px;
}

.moduletable.featured-categories .category .category-title {
    color: var(--gold);
}


/****************************************************************
** Contact **
****************************************************************/

.com-contact.contact .dl-horizontal dt {
    display: none;
}

.com-contact.contact .dl-horizontal dd {
    margin-left: 0;
}

.com-contact.contact .fields-container {
    list-style-type: none;
    padding-left: 0;
    display: flex;
    gap: 2rem;
}

.com-contact.contact .control-group {
    margin-bottom: 1rem;
}


/****************************************************************
** Content **
****************************************************************/

.blog-items.kezelesek {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    column-gap: 2rem;
    row-gap: 4rem;
}

.blog-items.kezelesek .blog-item {
    grid-column: span 2;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.blog-items.kezelesek .blog-item:last-child:nth-child(3n - 1) {
    grid-column-end: -2;
}

.blog-items.kezelesek .blog-item:nth-last-child(2):nth-child(3n + 1) {
    grid-column-end: 4;
}

.blog-items.kezelesek .blog-item:last-child:nth-child(3n - 2) {
    grid-column-end: 5;
}

.blog-items.kezelesek .blog-item .item-content .item-image {
    text-align: center;
}

.blog-items.kezelesek .blog-item .item-content .item-image img {
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    max-width: 250px;
}

.blog-items.kezelesek .blog-item .item-content .blog-item-header h3 {
    text-align: center;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

.blog-items.kezelesek .blog-item .readmore {
    text-align: center;
    margin-top: 2rem;
}


/****************************************************************
** Webshop **
****************************************************************/

.product .product_image img {
    aspect-ratio: 1 / 1;
    object-fit: cover;
}

.zuzu.products .products {
    display: grid;
    grid-gap: 2rem;
    grid-template-columns: repeat(var(--products), 1fr);
    clear: both;
}

.zuzu.product .gallery-items figure:first-child {
    grid-column: span 3;
}

@media (min-width: 1025px) {
    .zuzu.product .gallery-items figure:first-child {
        grid-column: span 4;
    }
}

.zuzu .product_price,
.zuzu .product_addtocart {
    margin: 1rem 0;
}

.zuzu .input-group {
    width: auto;
    display: inline-flex;
    vertical-align: middle;
}

.zuzu .control-group {
    margin-top: 1rem;
}
